import time
from display.oled_display import OLEDDisplay
from display.font_manager import FontManager
from utils.network import get_ip
from modules import example_module

def main():
    oled = OLEDDisplay()
    font_mgr = FontManager(size=10)

    while True:
        oled.clear()

        # Top HUD info (IP)
        ip = f"IP: {get_ip()}"
        font_mgr.draw_multiline_text(oled.draw, ip, 0, 0, oled.display.width, 10)

        # Divider line
        oled.draw.line((0, 14, oled.display.width, 14), fill=255)

        # Main module output
        output = example_module.get_output()
        font_mgr.draw_multiline_text(oled.draw, output, 0, 18, oled.display.width, oled.display.height - 18)

        oled.render()
        time.sleep(2)

if __name__ == "__main__":
    main()
